Bug 244763 - SELinux is preventing vlc from loading libdvdcss
Summary: SELinux is preventing vlc from loading libdvdcss
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-19 02:10 UTC by Josh Adams
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:10:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Adams 2007-06-19 02:10:01 UTC
Description of problem:
SELinux is preventing /usr/bin/vlc from loading /usr/lib/libdvdcss.so.2.0.8
which requires text relocation.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Open a dvd with vlc player.
2.
3.
  
Actual results:
vlc does nothing and setroubleshoot pops up.

Expected results:
DVD to play.

Additional info:

Taken from the output of setroubleshoot browser under Additional Information.

Source Context:  user_u:system_r:unconfined_tTarget
Context:  system_u:object_r:lib_tTarget Objects:  /usr/lib/libdvdcss.so.2.0.8 [
file ]Affected RPM Packages:  vlc-0.8.6c-1.lvn7 [application]libdvdcss2-1.2.9-1
[target]Policy RPM:  selinux-policy-2.6.4-14.fc7Selinux Enabled:  TruePolicy
Type:  targetedMLS Enabled:  TrueEnforcing Mode:  EnforcingPlugin
Name:  plugins.allow_execmodHost Name:  localhost.localdomainPlatform:  Linux
localhost.localdomain 2.6.21-1.3228.fc7 #1 SMP Tue Jun 12 15:37:31 EDT 2007 i686
i686Alert Count:  34First Seen:  Mon 18 Jun 2007 09:31:49 PM EDTLast Seen:  Mon
18 Jun 2007 09:51:24 PM EDTLocal ID:  e02421e5-bc2f-44b9-a628-7c597997b942Line
Numbers:  Raw Audit Messages :avc: denied { execmod } for comm="wxvlc" dev=dm-0
egid=500 euid=500 exe="/usr/bin/vlc" exit=-13 fsgid=500 fsuid=500 gid=500
items=0 name="libdvdcss.so.2.0.8" path="/usr/lib/libdvdcss.so.2.0.8" pid=2819
scontext=user_u:system_r:unconfined_t:s0 sgid=500
subj=user_u:system_r:unconfined_t:s0 suid=500 tclass=file
tcontext=system_u:object_r:lib_t:s0 tty=(none) uid=500

Comment 1 Daniel Walsh 2007-06-19 12:53:09 UTC
Please report this bug to them, so they can fix their library.

I will make the appropriate action to label it by default. 

If you do the chcon suggested by setroubleshoot it should work

Fixed in selinux-policy-2.6.4-18

Comment 2 Josh Adams 2007-06-19 15:34:08 UTC
Yes, I did the chcon as recommended but it also recommended that I file a bug
report to get it fixed by default as well.

Comment 3 Daniel Walsh 2007-08-22 14:10:02 UTC
Closing as fixes are in the current release


Note You need to log in before you can comment on or make changes to this bug.